Bug 246571 - tcsh doesn't expand %d, %s format specifiers correctly
Summary: tcsh doesn't expand %d, %s format specifiers correctly
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tcsh   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Vitezslav Crhonek
QA Contact: Bill Huang
URL: https://bugzilla.redhat.com/bugzilla/...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-03 06:18 UTC by Charles R. Anderson
Modified: 2010-11-01 08:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-01 08:30:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (702 bytes, patch)
2010-03-23 14:59 UTC, Vitezslav Crhonek
no flags Details | Diff

Description Charles R. Anderson 2007-07-03 06:18:18 UTC
Description of problem:

tcsh is behaving very strangely with respect to outputting messages
that involve replacing format specifiers with actual variable values.  
The %d, %s, etc. format specifiers are being output literally, and
some parts of the output are being duplicated.  This occurs in many
different places where tcsh displays messages/prompts for the user.  I
have noticed it so far in the "You have new mail" message and the
prompt that tcsh displays when a tab-completion or ctrl-d completion
output would exceed the listmax setting.

Version-Release number of selected component (if applicable):
tcsh-6.13-9.el4.1

Additional info:

See bug #146330 for the original FC3 bug w/fix.

Comment 1 Vitezslav Crhonek 2010-03-23 14:59:49 UTC
Created attachment 402075 [details]
proposed patch

Backported from newer tcsh version.

Comment 2 Ludek Smid 2010-11-01 08:30:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to fix this issue in a Red Hat Enterprise Linux update for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in response to customer and partner requirements, Red Hat takes a conservative approach when evaluating enhancements and defects for inclusion in maintenance updates for currently deployed products. The primary objectives of update releases are to enable new hardware platform support and to resolve critical defects.

For more information on Red Hat Enterprise Linux maintenance policies, please consult: http://www.redhat.com/security/updates/errata/


Note You need to log in before you can comment on or make changes to this bug.